Name: dia
Version: 0.97.2
Release: %mkrel 13
Summary: A gtk+ based diagram creation program
License: GPLv2+
Group: Office/Utilities
URL: https://wiki.gnome.org/Dia

Source0: https://download.gnome.org/sources/%{name}/%{version}/%{name}-%{version}.tar.xz
#gw quick hack to find the gnome documentation
Patch1: dia-0.97.1-help.patch
Patch2: dia-0.97.2-fix-lib64-python-path.patch
Patch3: dia-0.97.2-fix-glib-import.patch
Patch4: dia-0.97.2-automake-1.13.patch
Patch5: fix-crash-due-to-new-glib.patch
BuildRequires: pkgconfig(cairo) >= 1.6.0
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.20.0
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gtk+-2.0) >= 2.16.0
BuildRequires: pkgconfig(libart-2.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(libxslt)
BuildRequires: pkgconfig(pangoft2)
BuildRequires:	docbook-utils
BuildRequires:	pygtk2.0
BuildRequires:	python-devel
BuildRequires:	intltool
BuildRequires:  PyXML
BuildRequires:	libxslt-proc
BuildRequires:	scrollkeeper
BuildRequires:	docbook-style-xsl
BuildRequires:	desktop-file-utils
#gw if we run aclocal or autogen.sh
BuildRequires:	gnome-common
BuildRequires:	gettext-devel
Requires:	pygtk2.0
#gw help viewer also for non-GNOME
Suggests:	yelp

%description
Dia is a program designed to be much like the Windows
program 'Visio'. It can be used to draw different kind of diagrams. In
this first version there is support for UML static structure diagrams
(class diagrams) and Network diagrams. It can currently load and save
diagrams to a custom fileformat and export to postscript.

%prep
%setup -q
%apply_patches

# gw fix doctype
perl -pi -e "s^../../dtd/docbookx.dtd^http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd^" doc/*/dia.xml

%build
autoreconf -f -i
%configure2_5x --with-python
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

#fix icon and invalid version in bugzilla field
sed -i -e 's/@\(%{version}\)@/\1/g' -e 's/Icon=dia_gnome_icon.png/Icon=dia_gnome_icon/g' %{buildroot}%{_datadir}/applications/dia.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/dia.desktop

%{find_lang} %{name} --with-gnome --with-man

%files -f %{name}.lang
%doc README TODO NEWS INSTALL COPYING ChangeLog AUTHORS
%{_bindir}/*
%{_libdir}/dia
%{_mandir}/man1/dia.1.*
%{_datadir}/dia
%{_datadir}/mime-info/*
%{_datadir}/applications/dia.desktop
%{_datadir}/icons/hicolor/*/*/*


%changelog
* Sat Nov 09 2013 ovitters <ovitters> 0.97.2-13.mga4
+ Revision: 550147
- fix url

* Mon Oct 21 2013 umeabot <umeabot> 0.97.2-12.mga4
+ Revision: 541167
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 guillomovitch <guillomovitch> 0.97.2-11.mga4
+ Revision: 495275
- fix crash with new glib (debian patch)

* Wed Jun 12 2013 fwang <fwang> 0.97.2-10.mga4
+ Revision: 442072
- update file list
- update file list
- bump rel
- cleanup spec

* Mon Jun 03 2013 fwang <fwang> 0.97.2-9.mga4
+ Revision: 435551
- rebuild for new libpng

* Sun Apr 07 2013 luigiwalser <luigiwalser> 0.97.2-8.mga3
+ Revision: 408814
- rebuild due to regression caused by previous attempt to fix mga#3697

* Sun Mar 17 2013 lmenut <lmenut> 0.97.2-7.mga3
+ Revision: 403601
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Tue Feb 12 2013 luigiwalser <luigiwalser> 0.97.2-6.mga3
+ Revision: 398175
- fix files list

* Fri Jan 11 2013 umeabot <umeabot> 0.97.2-5.mga3
+ Revision: 348766
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Office/Other -> Office/Utilities

* Sun Dec 30 2012 cjw <cjw> 0.97.2-4.mga3
+ Revision: 336322
- patch4: fix build with automake 1.13

* Tue Nov 27 2012 ovitters <ovitters> 0.97.2-3.mga3
+ Revision: 322315
- update group

* Thu Jun 14 2012 ovitters <ovitters> 0.97.2-2.mga3
+ Revision: 260579
- drop own gtkrc patch, no need for this patch according to upstream+maintainer

* Thu Dec 29 2011 guillomovitch <guillomovitch> 0.97.2-1.mga2
+ Revision: 188661
- new version

* Wed Sep 21 2011 fwang <fwang> 0.97.1-4.mga2
+ Revision: 146393
- drop .la files

* Wed Sep 14 2011 obgr_seneca <obgr_seneca> 0.97.1-3.mga2
+ Revision: 143475
- added patch for libpng-1.5
- rebuild against new libpng

* Sun Mar 20 2011 boklm <boklm> 0.97.1-2.mga1
+ Revision: 74662
- imported package dia


* Sun Oct 31 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.97.1-2mdv2011.0
+ Revision: 590909
- rebuild for python-2.7
- drop 'mdkversion < 200900' macros, too old now

* Mon Jan 25 2010 Götz Waschk <waschk@mandriva.org> 0.97.1-1mdv2010.1
+ Revision: 495834
- new version
- rediff patches 0,1
- drop patch 4
- fix source URL

* Sun May 03 2009 Götz Waschk <waschk@mandriva.org> 0.97-1mdv2010.0
+ Revision: 371269
- new version

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 0.97-0.pre3.1mdv2009.1
+ Revision: 366961
- new prerelease

* Sun Feb 15 2009 Götz Waschk <waschk@mandriva.org> 0.97-0.pre2.1mdv2009.1
+ Revision: 340618
- new version
- drop patch 5

* Sun Feb 15 2009 Götz Waschk <waschk@mandriva.org> 0.97-0.pre1.1mdv2009.1
+ Revision: 340588
- new version
- rediff patch 0
- drop patches 2,3
- add missing files
- update file list

* Tue Jan 27 2009 Götz Waschk <waschk@mandriva.org> 0.96.1-6mdv2009.1
+ Revision: 334186
- fix python path (potential security issue)

* Mon Dec 29 2008 Götz Waschk <waschk@mandriva.org> 0.96.1-5mdv2009.1
+ Revision: 320996
- fix build

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Wed Jul 30 2008 Götz Waschk <waschk@mandriva.org> 0.96.1-4mdv2009.0
+ Revision: 254783
- fix build
- update license

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.96.1-3mdv2008.1
+ Revision: 178720
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Frederic Crozat <fcrozat@mandriva.com> 0.96.1-2mdv2008.0
+ Revision: 80712
- Fix double menu entry (Mdv bug #33202)


* Sat Mar 31 2007 Frederic Crozat <fcrozat@mandriva.com> 0.96.1-1mdv2007.1
+ Revision: 150026
- Spec cleanup

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Mon Mar 26 2007 Götz Waschk <waschk@mandriva.org> 0.96-1mdv2007.1
+ Revision: 148769
- new version

* Sun Mar 18 2007 Götz Waschk <waschk@mandriva.org> 0.96-0.pre9.1mdv2007.1
+ Revision: 146339
- new version

* Sun Mar 18 2007 Götz Waschk <waschk@mandriva.org> 0.96-0.pre8.1mdv2007.1
+ Revision: 145837
- new version

* Sun Mar 11 2007 Götz Waschk <waschk@mandriva.org> 0.96-0.pre7.1mdv2007.1
+ Revision: 141324
- fix installation
- new version

* Tue Mar 06 2007 Götz Waschk <waschk@mandriva.org> 0.96-0.pre6.1mdv2007.1
+ Revision: 133457
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 0.96-0.pre5.1mdv2007.1
+ Revision: 126086
- new version

* Mon Feb 05 2007 Götz Waschk <waschk@mandriva.org> 0.96-0.pre4.1mdv2007.1
+ Revision: 116514
- new version
- fix broken XML in the English help

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 0.96-0.pre3.1mdv2007.1
+ Revision: 112039
- new version

* Sun Jan 21 2007 Götz Waschk <waschk@mandriva.org> 0.96-0.pre2.1mdv2007.1
+ Revision: 111411
- new version
- update patch 1
- drop patch 2
- fix installation

* Thu Dec 14 2006 Götz Waschk <waschk@mandriva.org> 0.96-0.pre1.1mdv2007.1
+ Revision: 96825
- fix buildrequires
- depend on yelp
- new version
- rediff patch 1
- replace patch 2 with a perl one liner
- drop patch 3
- fix makefile to add missing defines
- manually install documentation

* Sat Dec 02 2006 Götz Waschk <waschk@mandriva.org> 0.95-6mdv2007.1
+ Revision: 90035
- Import dia

* Sat Dec 02 2006 Gtz Waschk <waschk@mandriva.org> 0.95-6mdv2007.1
- unpack patches

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.95-5mdv2006.0
- Rebuild with latest dbus

* Fri Jul 28 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.95-4
- add BuildRequires: desktop-file-utils

* Sun Jul 16 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.95-3mdv2007.0
- XDG menu
- Use macro for mimetypes

* Mon May 29 2006 Gtz Waschk <waschk@mandriva.org> 0.95-2mdv2007.0
- update patch 2
- upgrade to 0.95-1

* Fri Apr 21 2006 Gtz Waschk <waschk@mandriva.org> 0.95-1mdk
- drop patch 2
- new version

* Thu Apr 13 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre9.1mdk
- update patch 2
- new version

* Wed Apr 05 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre8.1mdk
- update patch 2
- new version

* Wed Mar 29 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre7.1mdk
- update patch 2
- new version

* Wed Mar 22 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre6.1mdk
- update patch 2
- new snapshot

* Mon Mar 20 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre5.2mdk
- fix installation

* Sun Mar 12 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre5.1mdk
- update patch 2
- new version

* Tue Mar 07 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre4.1mdk
- update patch 2
- new version

* Sun Feb 26 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre3.1mdk
- rediff patch 2
- new version

* Wed Feb 22 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre2.1mdk
- rediff patch 2
- new version

* Mon Feb 13 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre1.1mdk
- patch 3 to add missing file
- drop patches 3,4
- rediff patches 0,1,2
- new version

* Fri Nov 25 2005 Christiaan Welvaart <cjW@daneel.dyndns.org> 0.94-9mdk
- add BuildRequires: libxslt-proc scrollkeeper docbook-style-xsl

* Fri Nov 18 2005 Oden Eriksson <oeriksson@mandriva.com> 0.94-8mdk
- rebuilt against openssl-0.9.8a

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.94-7mdk
Fix BuildRequires

* Mon Sep 19 2005 Gtz Waschk <waschk@mandriva.org> 0.94-6mdk
- fix the man page format

* Sat Aug 13 2005 Gtz Waschk <waschk@mandriva.org> 0.94-5mdk
- patches for gcc4 and new cairo
- rebuild for new cairo

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.94-4mdk 
- Rebuild with latest howl

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.94-3mdk
- Rebuild for new python

* Tue Aug 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-2mdk
- fix buildrequires

* Fri Aug 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-1mdk
- rediff patch 2
- new version

* Mon Aug 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-0.pre6.1mdk
- rediff patch 2
- new version

* Wed Aug 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-0.pre5.1mdk
- rediff patch 2
- new version

* Tue Aug 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-0.pre4.1mdk
- rediff patch 2
- new version

* Sat Jul 31 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.94-0.pre3.2mdk
- Patch1: fix DTD location in help file
- Add png version of ER,GRAFCET,Istar,KAOS,Jackson symbols
- Remove hard dependencies on ISO fonts, it pulls X server

* Tue Jul 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-0.pre3.1mdk
- new version

* Sat Jul 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-0.pre2.1mdk
- new version

* Tue Jul 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-0.pre1.1mdk
- fix help menu entry
- convert icons with imagemagick
- drop yelp stuff
- enable cairo
- rediff patch 0
- new version

* Thu Jun 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-3mdk
- reenable libtoolize
- fix accellerator key setting (bug #10123)

* Sat May 08 2004 Robert Vojta <robert.vojta@mandrake.cz> 0.93-2mdk
- URL fixed (http://www.gnome.org/projects/dia)

* Sun May 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-1mdk
- New release 0.93

* Thu Apr 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-0.pre3.1mdk
- new version

* Mon Apr 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-0.pre2.2mdk
- fix help files conflict

* Sat Apr 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-0.pre2.1mdk
- fix gnome help file listing
- new version

* Thu Apr 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-0.pre1.1mdk
- drop all patches
- new version

